View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0013033ParaView(No Category)public2012-03-27 12:562012-10-29 17:04
ReporterAndy Bauer 
Assigned ToYumin Yuan 
PrioritynormalSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versiongit-master 
Target Version3.14.1Fixed in Version3.98.0 
Summary0013033: problems with scalar bar
DescriptionSteps to reproduce:
1. load can.ex2->apply
2. color by displacement
3. open color scale editor
4. close color scale editor
5. go to last time step
4. rescale


color will be stuck on a single color
TagsNo tags attached.
ProjectSandia
Topic Name13033-color-editor
Typeincorrect functionality
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0028411)
Yumin Yuan (developer)
2012-03-30 09:46

The main cause of the bug is when the scalar range is just one value, and the scalars2colors proxy-processing always assumes there are at least two values in the color transfer function. However the color-editor is not assuming that. The fix is to make them consistent.
(0028416)
Utkarsh Ayachit (administrator)
2012-03-30 14:20

merged into master (if applicable)
(0028448)
Alan Scott (manager)
2012-04-11 19:27

I am pretty sure that there still are bugs that are showing up with this report. Thus, I will just write up the bugs here. There are two that I can trivially find.

PV 3.14.1
Load can.ex2. All variables on. Apply.
Color by displacement.
Open color scale editor.
* Notice that the main color bar, top of the window, no longer exists.
* You can click on Scalar Color, and change it as a single color. This is incorrect. If you unselect Automatically Rescale to Fit Data Range, then Rescale Range, change the Max to 1, this is what we should have.

Next,
Re-select the Automatically Rescale to Fit Data Range.
Choose Preset. Cold and Hot. OK.
Close.
Open a Color Legend.
Last Time Step.
Rescale to Data Range.
Note that we are still stuck with a single color - yellow. This is incorrect, we should have a color table!

I think this bug is important enough that it fatally breaks 3.14.1, thus I am marking this as high priority.
(0028455)
Yumin Yuan (developer)
2012-04-12 12:58

When the min and max is the same, the top color table does become
hidden, and a color-chosen button will show up instead. That behavior
is intentional since all you need is really just one color. Once you
rescale the data range (min != max), then the color table will show up
again. If we don't want this behavior, we could do something about it
later.

The second part of the bug sounds like a real bug. I am currently looking into that.
(0028486)
Yumin Yuan (developer)
2012-04-17 14:41

We (Utkarsh, Dave D, and I) had a short meeting to discuss what could be the proper fix for this bug, and the decision is to bring back the color table for single scalar value, but the table will still only show one color given a preset. This is essentially the pre-3.14 behavior.

If we, especially Alan :), feel strongly that we should display the whole preset-color table even for a single scalar, we can report another issue/feature request for that.
(0028493)
Utkarsh Ayachit (administrator)
2012-04-20 13:51

merged into master, where applicable.
(0028558)
Alan Scott (manager)
2012-04-30 19:50

Perrrrrfect! Thanks Yumin.

Tested Linux, local server, Master.

can.exo.

- Issue History
Date Modified Username Field Change
2012-03-27 12:56 Andy Bauer New Issue
2012-03-27 12:56 Andy Bauer Assigned To => Andy Bauer
2012-03-27 13:04 Andy Bauer Status backlog => todo
2012-03-27 13:04 Andy Bauer Status todo => active development
2012-03-27 13:43 Andy Bauer Description Updated View Revisions
2012-03-28 11:26 Andy Bauer Assigned To Andy Bauer => Yumin Yuan
2012-03-30 09:46 Yumin Yuan Topic Name => 13033_color_rescale
2012-03-30 09:46 Yumin Yuan Note Added: 0028411
2012-03-30 09:46 Yumin Yuan Status active development => gatekeeper review
2012-03-30 09:46 Yumin Yuan Fixed in Version => 3.14.1
2012-03-30 09:46 Yumin Yuan Resolution open => fixed
2012-03-30 14:07 Utkarsh Ayachit Fixed in Version 3.14.1 =>
2012-03-30 14:07 Utkarsh Ayachit Target Version => 3.14.1
2012-03-30 14:20 Utkarsh Ayachit Fixed in Version => git-master
2012-03-30 14:20 Utkarsh Ayachit Status gatekeeper review => customer review
2012-03-30 14:20 Utkarsh Ayachit Note Added: 0028416
2012-04-05 17:03 Utkarsh Ayachit Fixed in Version git-master => 3.14.1
2012-04-11 19:27 Alan Scott Note Added: 0028448
2012-04-11 19:27 Alan Scott Status customer review => todo
2012-04-11 19:28 Alan Scott Severity minor => major
2012-04-12 12:58 Yumin Yuan Note Added: 0028455
2012-04-12 12:58 Yumin Yuan Status todo => active development
2012-04-17 14:41 Yumin Yuan Topic Name 13033_color_rescale => 13033-color-editor
2012-04-17 14:41 Yumin Yuan Note Added: 0028486
2012-04-17 14:41 Yumin Yuan Status active development => gatekeeper review
2012-04-20 13:50 Utkarsh Ayachit Fixed in Version 3.14.1 => git-master
2012-04-20 13:51 Utkarsh Ayachit Status gatekeeper review => customer review
2012-04-20 13:51 Utkarsh Ayachit Note Added: 0028493
2012-04-30 19:50 Alan Scott Note Added: 0028558
2012-04-30 19:50 Alan Scott Status customer review => closed
2012-10-29 17:04 Utkarsh Ayachit Fixed in Version git-master => 3.98.0


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker